Page MenuHomePhabricator

ProofreadPage is relying on $wgTitle fallback in EditPage
Closed, ResolvedPublic

Description

legoktm@mwlog1001:/srv/mw-log/archive$ zgrep "::getContextTitle" GlobalTitleFail.log-20180611.gz 
2018-06-10 07:57:37 [WxzZ8QpAME4AAKaItQ0AAAAO] mw1243 frwikisource 1.32.0-wmf.7 GlobalTitleFail INFO: EditPage::getContextTitle called by EditPage->edit/EditPage->showEditForm/EditPage->showStandardInputs/EditPage->getCancelLink/EditPage->getContextTitle with no title set.  
2018-06-10 11:32:36 [Wx0MVApAICsAAHzyZ@sAAACG] mw1322 enwikisource 1.32.0-wmf.7 GlobalTitleFail INFO: EditPage::getContextTitle called by ProofreadPage\Page\PageEditAction->show/EditPage->edit/EditPage->showEditForm/EditPage->setHeaders/EditPage->getContextTitle with no title set.  
2018-06-10 11:44:06 [Wx0PBgpAIC4AACpNmKwAAACE] mw1325 enwikisource 1.32.0-wmf.7 GlobalTitleFail INFO: EditPage::getContextTitle called by EditPage->edit/EditPage->showEditForm/EditPage->showStandardInputs/EditPage->getCancelLink/EditPage->getContextTitle with no title set.  
2018-06-10 19:02:42 [Wx110QpAAEMAAAGufZIAAAAJ] mw1272 frwikisource 1.32.0-wmf.7 GlobalTitleFail INFO: EditPage::getContextTitle called by EditPage->edit/EditPage->showEditForm/EditPage->showStandardInputs/EditPage->getCancelLink/EditPage->getContextTitle with no title set.

Patch incoming.

Details

Related Gerrit Patches:
mediawiki/extensions/ProofreadPage : masterSet EditPage's context Title in Edit/SubmitAction classes

Event Timeline

Legoktm triaged this task as Normal priority.Jun 12 2018, 8:39 AM
Legoktm created this task.

Change 439853 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/ProofreadPage@master] Set EditPage's context Title in Edit/SubmitAction classes

https://gerrit.wikimedia.org/r/439853

Change 439853 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Set EditPage's context Title in Edit/SubmitAction classes

https://gerrit.wikimedia.org/r/439853

Legoktm closed this task as Resolved.Jun 12 2018, 8:48 AM
Legoktm added a subscriber: Tpt.

Thank you for being super fast @Tpt :-)

Vvjjkkii renamed this task from ProofreadPage is relying on $wgTitle fallback in EditPage to w7aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Legoktm as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
A2093064 renamed this task from w7aaaaaaaa to ProofreadPage is relying on $wgTitle fallback in EditPage.Jul 1 2018, 1:56 AM
A2093064 closed this task as Resolved.Jul 1 2018, 2:01 AM
A2093064 assigned this task to Legoktm.
A2093064 lowered the priority of this task from High to Normal.
A2093064 updated the task description. (Show Details)
A2093064 added subscribers: Aklapper, gerritbot.